#846 closed defect (worksforme)

Bitlbee Start/Stop script in Debian doesn't stop bitlbee

Reported by: anonymous Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 3.0.3
Keywords: Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro: Debian squeeze


I'm using Bitlbee 3.03 rev821 (using libpurple) in Debian Squeeze. The init script in /etc/init.d/bitlbee doesn't stop bitlbee.

The reason seems to be that when bitlbee starts, it forks a child, but when the parent is killed, the child continues to run.

Attachments (0)

Change History (3)

comment:1 Changed at 2011-11-11T13:10:03Z by Artem Savkov <artem.savkov@…>

By default bitlbee forks a child for every client connected, so this instance will be running until the clients disconnects. If you want to kill all the clients with the init script you should run bitlbee in Daemon mode. This can be achieved by setting RunMode = Daemon in bitlbee.conf

comment:2 Changed at 2011-11-14T11:18:33Z by wilmer

Correct, and you don't want the child to be restarted IMHO.

There's also another bug though, and maybe that one's bothering you here:

comment:3 Changed at 2011-11-25T07:40:28Z by wilmer

Resolution: worksforme
Status: newclosed

Modify Ticket

as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment

E-mail address and name can be saved in the Preferences.

Note: See TracTickets for help on using tickets.